{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Lists and sorts an account's targets. Filters are optional and are ANDed\ntogether.","properties":{"path":{"type":"object","properties":{"account_id":{"$ref":"#/definitions/infra_AccountTag"}},"required":["account_id"],"additionalProperties":false},"query":{"type":"object","properties":{"hostname":{"type":["string","null"],"description":"Hostname of a target"},"hostname_contains":{"type":["string","null"],"description":"Partial match to the hostname of a target"},"virtual_network_id":{"type":["string","null"],"format":"uuid","description":"Private virtual network identifier of the target"},"ip_v4":{"type":["string","null"],"description":"IPv4 address of the target"},"ip_v6":{"type":["string","null"],"description":"IPv6 address of the target"},"created_before":{"type":["string","null"],"format":"date-time","description":"Date and time at which the target was created before (inclusive)"},"created_after":{"type":["string","null"],"format":"date-time","description":"Date and time at which the target was created after (inclusive)"},"modified_before":{"type":["string","null"],"format":"date-time","description":"Date and time at which the target was modified before (inclusive)"},"modified_after":{"type":["string","null"],"format":"date-time","description":"Date and time at which the target was modified after (inclusive)"},"ips":{"type":"array","items":{"type":"string"},"description":"Filters for targets that have any of the following IP addresses. Specify\n`ips` multiple times in query parameter to build list of candidates."},"target_ids":{"type":"array","items":{"format":"uuid","type":"string"},"description":"Filters for targets that have any of the following UUIDs. Specify\n`target_ids` multiple times in query parameter to build list of\ncandidates."},"ip_like":{"type":["string","null"],"description":"Filters for targets whose IP addresses look like the specified string.\nSupports `*` as a wildcard character"},"ipv4_start":{"type":["string","null"],"description":"Defines an IPv4 filter range's starting value (inclusive). Requires\n`ipv4_end` to be specified as well."},"ipv4_end":{"type":["string","null"],"description":"Defines an IPv4 filter range's ending value (inclusive). Requires\n`ipv4_start` to be specified as well."},"ipv6_start":{"type":["string","null"],"description":"Defines an IPv6 filter range's starting value (inclusive). Requires\n`ipv6_end` to be specified as well."},"ipv6_end":{"type":["string","null"],"description":"Defines an IPv6 filter range's ending value (inclusive). Requires\n`ipv6_start` to be specified as well."},"tag":{"type":"array","items":{"type":"string"},"description":"Filter by tag key:value pairs. Multiple `tag` params are AND'd.\nFormat: `tag=key:value` (e.g., `tag=environment:production`).\nKey and value must both be non-empty; `tag=:value` and `tag=key:` return 400."},"page":{"type":"integer","default":1,"minimum":1,"description":"Current page in the response"},"per_page":{"type":"integer","default":1000,"maximum":1000,"minimum":1,"description":"Max amount of entries returned per page"},"order":{"type":"string","enum":["hostname","created_at"],"description":"The field to sort by."},"direction":{"allOf":[{"$ref":"#/definitions/infra_SortingDirection"}],"description":"The sorting direction."}},"required":[],"additionalProperties":false}},"required":["path"],"additionalProperties":false,"definitions":{"infra_AccountTag":{"description":"Account identifier","type":"string","maxLength":32,"title":"account_id","examples":["023e105f4ecef8ad9ca31a8372d0c353"]},"infra_SortingDirection":{"type":"string","enum":["asc","desc"]}}},"name":"List all targets","id":"cloudflare.infra-targets-list","example":{"path":{"account_id":"023e105f4ecef8ad9ca31a8372d0c353"}},"maxRequests":1,"summary":false}}